%define fontname baekmuk
%define version 1.0
%define release 6mdk
%define bdfversion 0.9.1
%define ttfversion 1.0

Summary: Baekmuk korean fonts
Name: fonts-ttf-korean
Version: %{version}
Release: %{release}
Source0: ftp://ftp.mizi.com/pub/baekmuk/%{fontname}-ttf-%{ttfversion}.tar.bz2
#Source1: ftp://ftp.mizi.com/pub/baekmuk/%{fontname}-%{bdfversion}.tar.bz2
Source2: ftp://ftp.mizi.com/pub/baekmuk/%{fontname}-doc.tar.bz2
Copyright: GPL
Group: System/Fonts/True type
BuildArch: noarch
BuildRoot: /var/tmp/%{fontname}-root
Obsoletes: hwan-fonts
Obsoletes: baekmuk
Provides: baekmuk
Prereq: /usr/sbin/chkfontpath

%description
Baekmuk Korean TTF Fonts

%prep
%setup -T -c -a 0
 
%build
#for file in `ls *.bdf`; do
#  fontname=`basename $file .bdf`
#  bdftopcf -o "$fontname.pcf" $file
#  gzip "$fontname.pcf"
#done 
#mkfontdir

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/korean
install -m 0644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/korean
cat fonts.dir \
	| sed 's/^\(.*\):\([^:]*\)$/\2/' \
        > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/korean/fonts.dir

echo -n "\

As these fonts are True Type catalogs and need special info in
the fonts.dir that ttmkfdir doesn't yet create automatically;
it is better you don't change it; use another directory for
your manually added fonts
" > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/korean/README

tar yxvf %{SOURCE2}

ln -s /etc/X11/encodings.dir \
	$RPM_BUILD_ROOT%{_datadir}/fonts/ttf/korean/encodings.dir

%post
if [ -x /usr/sbin/chkfontpath ]; then
   /usr/sbin/chkfontpath -q -a %{_datadir}/fonts/ttf/korean
   killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
   if [ -n "$DISPLAY" ]; then
      xset fp rehash
   fi
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x /usr/sbin/chkfontpath ] && \
   /usr/sbin/chkfontpath -q -r %{_datadir}/fonts/ttf/korean
fi
killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT* README*
%dir %{_datadir}/fonts/ttf/korean
# %{_datadir}/fonts/ttf/korean/README
%{_datadir}/fonts/ttf/korean/batang.ttf
%{_datadir}/fonts/ttf/korean/dotum.ttf
%{_datadir}/fonts/ttf/korean/gulim.ttf
%{_datadir}/fonts/ttf/korean/hline.ttf
%{_datadir}/fonts/ttf/korean/encodings.dir
%config %{_datadir}/fonts/ttf/korean/fonts.dir

%changelog
* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-6mdk
- adapted for the xfs in XFree86 4

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 1.0-5mdk
- mandrake release.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fixed typo True Type -> True type

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- made %post/%postun more robust
- New Groups: naming
- removed *.tti, which are now obsolete

* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- added a prereq on chkfontpath.

* Wed Aug 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to mandrake (only TTF are packaged)

* Fri Jul 23 1999 Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)
- remove baekmuk-doc package

* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)

* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- initial release of baekmuk font 

* Mon Jul 05 1999 Woohyun JANG <louis@mizi.co.kr>
- add %triggerin 

* Wed Jun 23 1999 Woohyun JANG <louis@mizi.co.kr>
- first released
